Test2::Plugin::DieOnFail(3)

NAME
Test2::Plugin::DieOnFail - Automatically die on the first test failure.

DESCRIPTION
This module will die after the first test failure. This will prevent your tests from continuing. The exception is thrown when the context is released, that is it will run when the test function you are using, such as ok(), returns. This gives the tools the ability to output any extra diagnostics they may need.

SYNOPSIS
    use Test2::V1;
    use Test2::Plugin::DieOnFail;

    T2->ok(1, "pass");
    T2->ok(0, "fail");
    T2->ok(1, "Will not run");

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/test-more/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS

Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/